Bug 430214 - A capture kernel does not boot up on /dev/mdx
A capture kernel does not boot up on /dev/mdx
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-25 06:27 EST by Atsushi Nakabayashi
Modified: 2008-01-29 07:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 08:19:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is my proposal patch (3.47 KB, patch)
2008-01-25 06:27 EST, Atsushi Nakabayashi
no flags Details | Diff

  None (edit)
Description Atsushi Nakabayashi 2008-01-25 06:27:16 EST
Description of problem:
After running sysrq -c, capture kernel does not boot up on /dev/mdx.
And I found the following line was commented out in /sbin/mkdumprd.

---/sbin/mkdumprd
  :
emit "\#need code here to set up md dev
  :

Version-Release number of selected component (if applicable):
kexec-tools-1.101-164.el5

How reproducible:
1. install Red Hat EL 5 with Software Raid.
2. setup the kdump
3. run sysrq -c 
--> a capture kernel does not boot up.
  
Actual results:
capture kernel does not boot up.

Expected results:
capture kernel should boot up and make vmcore.

Additional info:
I have backported the raidautorun function from nash source code to busybox,
and changed /sbin/mkdumprd as bellow, and then it boots up well.

--- mkdumprd.org 2008-01-25 14:49:39.000000000 +0900
+++ mkdumprd 2008-01-25 14:46:54.000000000 +0900
@@ -1397,7 +1397,7 @@ emitdms
  if [ -n "$raiddevices" ]; then
    for dev in $raiddevices; do
      cp -a /dev/${dev} $MNTIMAGE/dev
-        emit "\#need code here to set up md devs"
+        emit "raidautorun /dev/${dev}"
    done
  fi
Comment 1 Atsushi Nakabayashi 2008-01-25 06:27:16 EST
Created attachment 292932 [details]
this is my proposal patch
Comment 2 Neil Horman 2008-01-25 08:19:45 EST
no, we're not going to start putting in miscelaneous nash utility calls into
busybox.  We've already fixed this in a later release (kexec-tools 1.102pre-5
specifically using the nominal user space utilities).   The latest kexec-tools
package can be found here if you need this fixed before the 5.2 release. 
Thanks!
Comment 3 Atsushi Nakabayashi 2008-01-28 23:48:54 EST
Thank you for your informations.

Would you please give me the latest kexec-tools src package(1.102pre-5) ?
I would like to test it.

Thanks in advance,
Atsushi Nakabayashi.
Comment 4 Neil Horman 2008-01-29 07:02:00 EST
sorry, meant to include this url:
http://people.redhat.com/nhorman/rpms/latest_kexec-tools.tbz2

Note You need to log in before you can comment on or make changes to this bug.